Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationCluster

    public interface ConfigurationCluster

This interface defines the methods to get the cluster setting of sever.

Method Summary
`java.lang.String` | `getClusterAdminHost()` Deprecated. since version v10.
`java.lang.String` | `getClusterAdminRMIPort()` Deprecated. since version v10.
`int` | `getClusterMemeberID()` Returns cluster member ID.
`java.lang.String` | `getClusterName()` Returns cluster name.
`java.lang.String` | `getClusterResourceRoot()` Returns cluster resource root.
`int` | `getClusterSchedulerLeaseActiveCount()` Returns active lease scheduler number in cluster when cluster scheduler lease is enable.
`long` | `getClusterSchedulerLeaseValidTime()` Returns the time after a node gets a lease, and the node holds lease before releasing it.
`long` | `getClusterShedulerLeaseCheckInterval()` Returns the interval time the cluster used to check whether one lease is valid in ms.
`int` | `getClusterStorageCrdResultCopies()` Returns the copies of file/folder added under the cached CRD result folder in cluster.
`int` | `getClusterStorageHistoryCopies()` Returns the copies of file/folder added under the history folder in cluster.
`int` | `getClusterStorageRealmCopies()` Returns the copies of file/folder added under the realm folder in cluster.
`java.lang.String` | `getServerRMIPort()` Deprecated. since V8 and replaced by ConfigurationRMI.getServerRMIPort().
`java.lang.String` | `getShareDsoDirectory()` Deprecated. since version 7.2.
`java.lang.String` | `getShareHistoryDirectory()` Returns cluster share history directory.
`int` | `getShareMemoryNodeNumber()` Returns cluster share memory number.
`java.lang.String` | `getSharePropertyDirectory()` Returns cluster share property directory.
`java.lang.String` | `getShareRealmDirectory()` Returns cluster share realm directory.
`java.lang.String` | `getShareTempDirectory()` Returns cluster share temp directory.
`boolean` | `hasClusterLicense()` Checks if we have cluster license.
`boolean` | `isClusterAdminServer()` Deprecated. since version v10.
`boolean` | `isClusterBackupServer()` Deprecated. as of version v10.
`boolean` | `isClusterEnabled()` Returns if the cluster is enabled.
`boolean` | `isClusterSchedulerLeaseEnabled()` Returns whether to enable lease for the distributed scheduler.
`void` | `loadProperties()` Loads the file of server.properties.
`void` | `setClusterAdminHost(java.lang.String adminPort)` Deprecated. since version v10.
`void` | `setClusterAdminRMIPort(java.lang.String adminRMIPort)` Deprecated. since version v10.
`void` | `setClusterAdminServer(boolean isCluster)` Deprecated. since version v10.
`void` | `setClusterBackupServer(boolean isBack)` Deprecated. since version v10.
`boolean` | `setClusterEnabled(boolean isEnabled)` Sets whether to enable cluster.
`void` | `setClusterMemberID(int meberId)` Sets cluster member ID.
`void` | `setClusterName(java.lang.String clusterName)` Sets cluster name.
`void` | `setClusterResourceRoot(java.lang.String dir)` Sets cluster resource root.
`void` | `setClusterSchedulerLeaseActiveCount(int number)` Sets active lease number in cluster when cluster scheduler lease is enabled.
`void` | `setClusterSchedulerLeaseCheckInterval(long intervalTime)` Sets the time cluster used to check whether one lease valid in ms.
`void` | `setClusterSchedulerLeaseEnabled(boolean isEnabled)` Sets whether to enable the lease for the distributed scheduler.
`void` | `setClusterSchedulerLeaseValidTime(long leaseTime)` Sets the time the node used to release it after getting a lease.
`void` | `setClusterStorageCrdResultCopies(int copies)` Sets the copies of file/folder added under the cache CRD result folder in cluster.
`void` | `setClusterStorageHistoryCopies(int copies)` Sets the copies of file/folder added under the history folder in cluster.
`void` | `setClusterStorageRealmCopies(int copies)` Sets the copies of file/folder added under the realm folder in cluster.
`void` | `setServerRMIPort(java.lang.String serverRMIPort)` Deprecated. since V8 and replaced by ConfigurationRMI.setServerRMIPort(String serverRMIPort).
`void` | `setShareDsoDirectory(java.lang.String dir)` Deprecated.
`void` | `setShareHistoryDirectory(java.lang.String dir)` Deprecated.
`void` | `setShareMemoryNodeNumber(int shareNum)` Sets how much number to be shared in the cluster.
`void` | `setSharePropertyDirectory(java.lang.String dir)` Deprecated.
`void` | `setShareRealmDirectory(java.lang.String dir)` Deprecated.
`void` | `setShareTempDirectory(java.lang.String dir)` Deprecated.

Method Detail

### isClusterAdminServer

    boolean isClusterAdminServer()

  Deprecated. since version v10.

  Returns whether to provide the cluster admin server.

  Returns:
    boolean whether to provide cluster admin server.

### setClusterAdminServer

    void setClusterAdminServer(boolean isCluster)

  Deprecated. since version v10.

  Sets whether to provide cluster admin server.

  Parameters:
    `isCluster` - provide cluster admin server.

### isClusterBackupServer

    boolean isClusterBackupServer()

  Deprecated. as of version v10.

  Returns whether to provide cluster back server.

  Returns:
    boolean whether to provide cluster back server.

### setClusterBackupServer

    void setClusterBackupServer(boolean isBack)

  Deprecated. since version v10.

  Sets whether to provide cluster back server.

  Parameters:
    `isBack` - provide cluster back server.

### getClusterAdminHost

    java.lang.String getClusterAdminHost()

  Deprecated. since version v10.

  Returns cluster admin server host address.

  Returns:
    string which is cluster admin server host address.

### setClusterAdminHost

    void setClusterAdminHost(java.lang.String adminPort)

  Deprecated. since version v10.

  Sets cluster admin server host address.

  Parameters:
    `adminPort` - cluster admin server host address.

### getClusterAdminRMIPort

    java.lang.String getClusterAdminRMIPort()

  Deprecated. since version v10.

  Returns cluster admin RMI port.

  Returns:
    string which is cluster admin RMI port.

### setClusterAdminRMIPort

    void setClusterAdminRMIPort(java.lang.String adminRMIPort)

  Deprecated. since version v10.

  Sets cluster admin RMI port.

  Parameters:
    `adminRMIPort` - cluster admin RMI port.

### getServerRMIPort

    java.lang.String getServerRMIPort()

  Deprecated. since V8 and replaced by ConfigurationRMI.getServerRMIPort().

  Returns server RMI port.

  Returns:
    string which is server RMI port.

### setServerRMIPort

    void setServerRMIPort(java.lang.String serverRMIPort)

  Deprecated. since V8 and replaced by ConfigurationRMI.setServerRMIPort(String serverRMIPort).

  Sets server RMI port.

  Parameters:
    `serverRMIPort` - server RMI port.

### getSharePropertyDirectory

    java.lang.String getSharePropertyDirectory()

  Returns cluster share property directory.

  Returns:
    string which is cluster share property directory.

### getShareRealmDirectory

    java.lang.String getShareRealmDirectory()

  Returns cluster share realm directory.

  Returns:
    cluster share realm directory.

### getClusterResourceRoot

    java.lang.String getClusterResourceRoot()

  Returns cluster resource root.

  Returns:
    cluster resource root.

### getShareTempDirectory

    java.lang.String getShareTempDirectory()

  Returns cluster share temp directory.

  Returns:
    cluster share temp directory.

### getShareDsoDirectory

    java.lang.String getShareDsoDirectory()

  Deprecated. since version 7.2.

  Returns cluster share dso directory.

  Returns:
    cluster share dso directory.

### getShareHistoryDirectory

    java.lang.String getShareHistoryDirectory()

  Returns cluster share history directory.

  Returns:
    cluster share history directory.

### setSharePropertyDirectory

    void setSharePropertyDirectory(java.lang.String dir)

  Deprecated.

  Sets cluster share property directory.

  Parameters:
    `dirt` - cluster share property directory.

### setShareRealmDirectory

    void setShareRealmDirectory(java.lang.String dir)

  Deprecated.

  Sets cluster share realm directory.

  Parameters:
    `dirt` - cluster share realm directory.

### setClusterResourceRoot

    void setClusterResourceRoot(java.lang.String dir)

  Sets cluster resource root.

  Parameters:
    `dirt` - cluster resource root.

### setShareTempDirectory

    void setShareTempDirectory(java.lang.String dir)

  Deprecated.

  Sets cluster share temp directory.

  Parameters:
    `dirt` - cluster share temp directory.

### setShareDsoDirectory

    void setShareDsoDirectory(java.lang.String dir)

  Deprecated.

  Sets cluster share dso directory.

  Parameters:
    `dirt` - cluster share dso directory.

### setShareHistoryDirectory

    void setShareHistoryDirectory(java.lang.String dir)

  Deprecated.

  Sets cluster share history directory.

  Parameters:
    `dirt` - cluster share history directory.

### loadProperties

    void loadProperties()

  Loads the file of server.properties.

### isClusterEnabled

    boolean isClusterEnabled()

  Returns if the cluster is enabled.

  Returns:
    true if the cluster is enabled, otherwise false.

### setClusterEnabled

    boolean setClusterEnabled(boolean isEnabled)

  Sets whether to enable cluster.

  Parameters:
    `isEnabled,` - if true, set the cluster enabled, if false, set cluster disabled.
  Returns:
    true if the cluster is changed to be enabled successfully, otherwise false.

### hasClusterLicense

    boolean hasClusterLicense()

  Checks if we have cluster license.

  Returns:
    true if server key enables clustering, otherwise false.

### getClusterStorageHistoryCopies

    int getClusterStorageHistoryCopies()

  Returns the copies of file/folder added under the history folder in cluster.

  Returns:
    the copies of file/folder added under the history folder in cluster

### setClusterStorageHistoryCopies

    void setClusterStorageHistoryCopies(int copies)

  Sets the copies of file/folder added under the history folder in cluster.

  Parameters:
    `copies` - the backup number of file/folder under the history folder in cluster.

### getClusterStorageRealmCopies

    int getClusterStorageRealmCopies()

  Returns the copies of file/folder added under the realm folder in cluster.

  Returns:
    the copies of file/folder added under the realm folder in cluster.

### setClusterStorageRealmCopies

    void setClusterStorageRealmCopies(int copies)

  Sets the copies of file/folder added under the realm folder in cluster.

  Parameters:
    `copies` - the backup number of file/folder under the realm folder in cluster.

### getClusterStorageCrdResultCopies

    int getClusterStorageCrdResultCopies()

  Returns the copies of file/folder added under the cached CRD result folder in cluster.

  Returns:
    the copies of file/folder added under the cached CRD result folder in cluster.

### setClusterStorageCrdResultCopies

    void setClusterStorageCrdResultCopies(int copies)

  Sets the copies of file/folder added under the cache CRD result folder in cluster.

  Parameters:
    `copies` - the backup number of file/folder under the cached CRD result folder in cluster.

### isClusterSchedulerLeaseEnabled

    boolean isClusterSchedulerLeaseEnabled()

  Returns whether to enable lease for the distributed scheduler.

  Returns:
    true if the lease for the distributed scheduler is enabled, otherwise false.

### setClusterSchedulerLeaseEnabled

    void setClusterSchedulerLeaseEnabled(boolean isEnabled)

  Sets whether to enable the lease for the distributed scheduler.

  Parameters:
    `isEnabled,` - if true when the lease is set enabled, otherwise disabled.

### getClusterSchedulerLeaseActiveCount

    int getClusterSchedulerLeaseActiveCount()

  Returns active lease scheduler number in cluster when cluster scheduler lease is enable.

  Returns:
    active lease scheduler number.

### setClusterSchedulerLeaseActiveCount

    void setClusterSchedulerLeaseActiveCount(int number)

  Sets active lease number in cluster when cluster scheduler lease is enabled.

  Parameters:
    `number,` - the number of active scheduler lease in cluster.

### getClusterSchedulerLeaseValidTime

    long getClusterSchedulerLeaseValidTime()

  Returns the time after a node gets a lease, and the node holds lease before releasing it.

  Returns:
    scheduler valid lease time in ms.

### setClusterSchedulerLeaseValidTime

    void setClusterSchedulerLeaseValidTime(long leaseTime)

  Sets the time the node used to release it after getting a lease.

  Parameters:
    `leaseTime,` - the lease valid time in ms.

### getClusterShedulerLeaseCheckInterval

    long getClusterShedulerLeaseCheckInterval()

  Returns the interval time the cluster used to check whether one lease is valid in ms.

  Returns:
    the interval time the cluster used to check whether one lease is valid.

### setClusterSchedulerLeaseCheckInterval

    void setClusterSchedulerLeaseCheckInterval(long intervalTime)

  Sets the time cluster used to check whether one lease valid in ms.

  Parameters:
    `intervalTime,` - the interval time used by the cluster to check if any lease is still valid.

### getClusterName

    java.lang.String getClusterName()

  Returns cluster name.

  Returns:
    cluster name.

### setClusterName

    void setClusterName(java.lang.String clusterName)

  Sets cluster name.

  Parameters:
    `clusterName` - the cluster name.

### getClusterMemeberID

    int getClusterMemeberID()

  Returns cluster member ID.

  Returns:
    cluster member ID.

### setClusterMemberID

    void setClusterMemberID(int meberId)

  Sets cluster member ID.

  Parameters:
    `meberId` - cluster member ID.

### setShareMemoryNodeNumber

    void setShareMemoryNodeNumber(int shareNum)

  Sets how much number to be shared in the cluster. There is N nodes in the cluster, and M nodes holding memory objects in the cluster, M<=N, nodes in M-N will connect one node in M to get required memory objects.

  Parameters:
    `shareNum,` - the cluster share memory number.

### getShareMemoryNodeNumber

    int getShareMemoryNodeNumber()

  Returns cluster share memory number. There is N nodes in cluster, and M nodes holding memory objects in cluster, M<=N, nodes in M-N will connect one node in M to get required memory objects.

  Returns:
    cluster share memory number.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD